#------------------------------------------------------------------------------
# Module : G4gdml
# Package: Geant4.src.G4persistency.G4gdml
#------------------------------------------------------------------------------

#
# Define the Geant4 Module.
#
geant4_define_module(NAME G4gdml
  HEADERS
    G4GDMLAuxStructType.hh
    G4GDMLEvaluator.hh
    G4GDMLMessenger.hh
    G4GDMLParameterisation.hh
    G4GDMLParser.hh
    G4GDMLParser.icc
    G4GDMLRead.hh
    G4GDMLReadDefine.hh
    G4GDMLReadMaterials.hh
    G4GDMLReadParamvol.hh
    G4GDMLReadSetup.hh
    G4GDMLReadSolids.hh
    G4GDMLReadStructure.hh
    G4GDMLWrite.hh
    G4GDMLWriteDefine.hh
    G4GDMLWriteMaterials.hh
    G4GDMLWriteParamvol.hh
    G4GDMLWriteSetup.hh
    G4GDMLWriteSolids.hh
    G4GDMLWriteStructure.hh
    G4STRead.hh
  SOURCES
    G4GDMLEvaluator.cc
    G4GDMLMessenger.cc
    G4GDMLParameterisation.cc
    G4GDMLParser.cc
    G4GDMLRead.cc
    G4GDMLReadDefine.cc
    G4GDMLReadMaterials.cc
    G4GDMLReadParamvol.cc
    G4GDMLReadSetup.cc
    G4GDMLReadSolids.cc
    G4GDMLReadStructure.cc
    G4GDMLWrite.cc
    G4GDMLWriteDefine.cc
    G4GDMLWriteMaterials.cc
    G4GDMLWriteParamvol.cc
    G4GDMLWriteSetup.cc
    G4GDMLWriteSolids.cc
    G4GDMLWriteStructure.cc
    G4STRead.cc
  GRANULAR_DEPENDENCIES
    G4csg
    G4digits
    G4event
    G4geomBoolean
    G4geomdivision
    G4geometrymng
    G4globman
    G4graphics_reps
    G4hepnumerics
    G4hits
    G4intercoms
    G4materials
    G4navigation
    G4partman
    G4baryons
    G4bosons
    G4leptons
    G4procman
    G4cuts
    G4emutils
    G4run
    G4specsolids
    G4track
    G4tracking
    G4volumes
  GLOBAL_DEPENDENCIES
    G4digits_hits
    G4event
    G4geometry
    G4global
    G4graphics_reps
    G4intercoms
    G4materials
    G4particles
    G4processes
    G4run
    G4track
    G4tracking
  LINK_LIBRARIES
    XercesC::XercesC
)

# List any source specific properties here
